<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>HW-2</title>
</head>
<body>

<!--Дан массив books.-->
<!--Выведите этот массив в виде списка (тег ul).-->
<!--На странице должен находится div с id="root", куда и нужно будет положить этот список
(похожая задача была дана в модуле basic).-->
<!--Перед выводом обьекта на странице, нужно проверить его на корректность
(в обьекте должны содержаться все три свойства - author, name, price). Если какого-то
 из этих свойств нету,
в консоли должна высветится ошибка с указанием - какого свойства нету в обьекте.-->
<!--Тот обьект, что некорректен по условиям предыдущего пункта - не должен появиться на странице.-->
<div id="root"></div>
<script>
    const books = [
        {
            author: "Скотт Бэккер",
            name: "Тьма, что приходит прежде",
            price: 70
        },
        {
            author: "Скотт Бэккер",
            name: "Воин-пророк",
        },
        {
            name: "Тысячекратная мысль",
            price: 70
        },
        {
            author: "Скотт Бэккер",
            name: "Нечестивый Консульт",
            price: 70
        },
        {
            author: "Дарья Донцова",
            name: "Детектив на диете",
            price: 40
        },
        {
            author: "Дарья Донцова",
            name: "Дед Снегур и Морозочка",
        }
    ];

    const div = document.getElementById('root');

    books.forEach(item => {
        if(item.hasOwnProperty('name') && item.hasOwnProperty('author') && item.hasOwnProperty('price')) {
            let ul = document.createElement('ul');
            ul.innerHTML = `<li>${item.author}</li> <li>${item.name}</li> <li>${item.price}</li>`
            div.append(ul)
        } 
        try {
            if(!item.hasOwnProperty('name')) {
                throw new Error('Property name is not defined')
            };
            if(!item.hasOwnProperty('author')) {
                throw new Error('Property author is not defined')
            }
            if(!item.hasOwnProperty('price')) {
                throw new Error('Property price is not defined')
            }
        } catch(error) {
            console.error(`${error.name}: ${error.message}`)
        }
        
        // author.innerText = item.author;
        // name.innerText = name.author;
        // price.innerText = price.author;

        console.log(item)
    });

</script>

</body>
</html>